<?php

namespace Drupal\fileslog\Hook;

use Drupal\Core\Hook\Attribute\Hook;

/**
 * Hooks onto theme events.
 */
class Theme {

  /**
   * Executes the 'theme'-hook.
   */
  #[Hook('theme')]
  public function theme(): array {
    $full_variables = [
      'type' => NULL,
      'date' => NULL,
      'user' => NULL,
      'uri' => NULL,
      'referer' => NULL,
      'severity' => NULL,
      'message' => NULL,
      'log_url' => NULL,
    ];

    return [
      'fileslog_overview' => [
        'variables' => [
          'rows' => [],
          'summary' => [],
          'form' => NULL,
          'pager' => NULL,
        ],
      ],
      'fileslog_row' => [
        'variables' => $full_variables,
      ],
      'fileslog_canonical' => [
        'variables' => $full_variables,
      ],
    ];
  }

}
